Bug 433776 - Add possibility to rollback configuration files
Add possibility to rollback configuration files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 08:01 EST by Tomas Mraz
Modified: 2008-03-10 11:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-5.4.0-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 11:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2008-02-21 08:01:22 EST
On Thu, 2008-02-14 at 08:58 -0500, Simo Sorce wrote:
> On Thu, 2008-02-14 at 09:21 +0100, Tomas Mraz wrote:
> > On Wed, 2008-02-13 at 11:50 -0500, Simo Sorce wrote:
> > > Do you have any good idea on how to reasonably "snapshot" the system
> > > configuration so that I can get back to the original configuration after
> > > I have modified the system calling authconfig ?
> > I see only one possibility - backup all the files which are modified by
> > authconfig so they can be used to restore the original configuration.
> > Unfortunately authconfig doesn't create the backups itself.
> 
> Including the pam stack and nsswitch ?
> hmmm
> I think having a rollback mode in authconfig would be very useful.
> 
> Thanks,
> Simo.
Comment 1 Tomas Mraz 2008-03-10 11:47:05 EDT
authconfig --savebackup <name> and authconfig --restorebackup <name> is implemented.

Note You need to log in before you can comment on or make changes to this bug.